/******************************************************
 ***
 ** Project 'Roleplay'
 **		Hochschule Furtwangen University
 **		© 2012
 ***
 *** 
 ** GameLib
 ** 	Drag-On
 ***
 *****************************************************/
package application.event.listener;

import java.util.EventListener;

import application.event.KeyboardEvent;

/**
 * A keyboard event listener - sometimes it's as easy as that
 * 
 * @author Drag-On
 * 
 */
public interface KeyboardEventListener extends EventListener
{
	/**
	 * A key has been pressed
	 * 
	 * @param e
	 */
	public void keyPressed(KeyboardEvent e);

	/**
	 * A key has been released
	 * 
	 * @param e
	 */
	public void keyReleased(KeyboardEvent e);
}
