/******************************************************
 ***
 ** Project 'Roleplay'
 **		Hochschule Furtwangen University
 **		© 2012
 ***
 *** 
 ** GameLib
 ** 	Drag-On
 ***
 *****************************************************/
package application.exception;

/**
 * This exception indicates that something with a resource wasn't working
 * properly, most likely it was not loaded properly or already disposed.
 * 
 * @author Drag-On
 * 
 */
public class ResourceException extends GameException
{
	/**
	 * Serial Version UID
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * @param msg
	 *            Message
	 */
	public ResourceException(final String msg)
	{
		super(msg);
	}

	/**
	 * @param msg
	 *            Message
	 * @param cause
	 *            Nested Exception
	 */
	public ResourceException(final String msg, final Throwable cause)
	{
		super(msg, cause);
	}
}
