/******************************************************
 ***
 ** Project 'Roleplay'
 **		Hochschule Furtwangen University
 **		© 2013
 ***
 *** 
 ** GameLib
 ** 	Drag-On
 ***
 *****************************************************/
package data.container.quadtree;

import org.lwjgl.util.Rectangle;

/**
 * Interface that must be implemented by objects that can be managed by a
 * {@link QuadTree} object
 * 
 * @author Drag-On
 * 
 */
public interface IQuadTreeObject
{
	/**
	 * @return The position and extent of this object as needed in the quad tree
	 */
	public Rectangle getBoundingBox();
}
