/******************************************************
 ***
 ** Project 'Roleplay'
 **		Hochschule Furtwangen University
 **		© 2012
 ***
 *** 
 ** GameLib
 ** 	Drag-On
 ***
 *****************************************************/
package game.states.map.entity;

/**
 * This enumeration defines all directions a character can face
 * 
 * @author Drag-On
 * 
 */
public enum CharacterDirection
{
	DOWN, LEFT, RIGHT, UP;

	/**
	 * @return Opposite direction
	 */
	public CharacterDirection getOpposite()
	{
		if (this == DOWN)
			return UP;
		if (this == LEFT)
			return RIGHT;
		if (this == RIGHT)
			return LEFT;
		if (this == UP)
			return DOWN;

		// Should never happen
		return null;
	}
}
