/******************************************************
 ***
 ** Project 'Roleplay'
 **		Hochschule Furtwangen University
 **		 \u00a9 2013
 ***
 *** 
 ** GameLib
 ** 	Drag-On
 ***
 *****************************************************/
package game.states.map.entity;

/**
 * A enemy which can be battled on map
 * 
 * @author Drag-On
 * 
 */
public class EnemyCharacter extends BattleCharacter
{
	/**
	 * Serial Version UID
	 */
	private static final long serialVersionUID = 5722902861126079296L;

	/**
	 * Constructor
	 * 
	 * @param x
	 *            X map coordinate
	 * @param y
	 *            Y map coordinate
	 * @param resId
	 *            Resource ID of the character spritesheet
	 */
	public EnemyCharacter(final int x, final int y, final String resId)
	{
		super(x, y, resId);
	}

}
