/******************************************************
 ***
 ** Project 'Roleplay'
 **		Hochschule Furtwangen University
 **		© 2012
 ***
 *** 
 ** GameLib
 ** 	Drag-On
 ***
 *****************************************************/
package game.widget;

import org.newdawn.slick.Input;
import org.newdawn.slick.MouseListener;

/**
 * This is the mouse listener used for input handling of buttons etc.
 * 
 * @author Drag-On
 * 
 */
public class WidgetMouseListener implements MouseListener
{
	/**
	 * Owner widget
	 */
	private final Widget owner;

	/**
	 * Constructor
	 * 
	 * @param owner
	 *            Owner widget
	 */
	public WidgetMouseListener(final Widget owner)
	{
		this.owner = owner;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void setInput(final Input input)
	{
		// Don't do anything over here...
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public boolean isAcceptingInput()
	{
		return true;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void inputEnded()
	{
		// Don't do anything over here...
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void inputStarted()
	{
		// Don't do anything over here...
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void mouseWheelMoved(final int change)
	{
		// Don't do anything over here...
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void mouseClicked(final int button, final int x, final int y,
			final int clickCount)
	{
		if (button == Input.MOUSE_LEFT_BUTTON
				&& owner.getBounds().contains(x, y))
		{
			// owner.fireSelectionEvent(new SelectionEvent(owner));
		}
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void mousePressed(final int button, final int x, final int y)
	{
		// Don't do anything over here...
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void mouseReleased(final int button, final int x, final int y)
	{
		// Don't do anything over here...
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void mouseMoved(final int oldx, final int oldy, final int newx,
			final int newy)
	{
		// Don't do anything over here...
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public void mouseDragged(final int oldx, final int oldy, final int newx,
			final int newy)
	{
		// Don't do anything over here...
	}
}
