package game.states.map.entities;

import game.states.map.entity.BaseCharacter;
import game.states.map.entity.CharacterDirection;
import junit.framework.TestCase;

import org.junit.Test;

public class BaseCharacterTest extends TestCase
{
	@Test
	public void testFace()
	{
		BaseCharacter chara = new BaseCharacter(0, 0, "");

		CharacterDirection dir;
		dir = chara.face(1, 0);
		assertEquals(CharacterDirection.RIGHT, dir);
		dir = chara.face(-1, 0);
		assertEquals(CharacterDirection.LEFT, dir);
		dir = chara.face(0, 1);
		assertEquals(CharacterDirection.DOWN, dir);
		dir = chara.face(0, -1);
		assertEquals(CharacterDirection.UP, dir);
		dir = chara.face(2, 1);
		assertEquals(CharacterDirection.RIGHT, dir);
		dir = chara.face(-1, 2);
		assertEquals(CharacterDirection.DOWN, dir);
		dir = chara.face(-2, -1);
		assertEquals(CharacterDirection.LEFT, dir);
		dir = chara.face(1, -2);
		assertEquals(CharacterDirection.UP, dir);
	}
}
